from uuid import uuid4, UUID

from sqlalchemy import Uuid as Alq_uuid, text
from sqlalchemy.orm import DeclarativeBase, declared_attr, Mapped, mapped_column


class Base(DeclarativeBase):
    __abstract__ = True

    @declared_attr.directive
    def __tablename__(cls) -> str:
        return f"{cls.__name__.lower()}s"

    id: Mapped[UUID] = mapped_column(
        Alq_uuid,
        default=uuid4,
        server_default=text("uuid_generate_v4()"),
        primary_key=True,
    )
